Don't deny access to everyone if the calling application didn't set a TTY;
we wouldn't do it for unprivileged users, regardless, so don't lock them out.
diff -uNr Linux-PAM-0.75/modules/pam_securetty/pam_securetty.c Linux-PAM-0.75/modules/pam_securetty/pam_securetty.c
--- Linux-PAM-0.75/modules/pam_securetty/pam_securetty.c	Tue Jun 20 18:11:56 2000
+++ Linux-PAM-0.75/modules/pam_securetty/pam_securetty.c	Tue Jul 10 00:14:23 2001
@@ -98,14 +99,6 @@
 		? PAM_INCOMPLETE:PAM_SERVICE_ERR);
     }
 
-    retval = pam_get_item(pamh, PAM_TTY, (const void **)&uttyname);
-    if (retval != PAM_SUCCESS || uttyname == NULL) {
-        if (ctrl & PAM_DEBUG_ARG) {
-            _pam_log(LOG_WARNING, "cannot determine user's tty");
-	}
-	return PAM_SERVICE_ERR;
-    }
-
     /* The PAM_TTY item may be prefixed with "/dev/" - skip that */
     if (strncmp(TTY_PREFIX, uttyname, sizeof(TTY_PREFIX)-1) == 0)
 	uttyname += sizeof(TTY_PREFIX)-1;
@@ -119,6 +111,14 @@
 	return PAM_SUCCESS;
     }
 
+    retval = pam_get_item(pamh, PAM_TTY, (const void **)&uttyname);
+    if (retval != PAM_SUCCESS || uttyname == NULL) {
+        if (ctrl & PAM_DEBUG_ARG) {
+            _pam_log(LOG_WARNING, "cannot determine user's tty");
+	}
+	return PAM_SERVICE_ERR;
+    }
+
     if (stat(SECURETTY_FILE, &ttyfileinfo)) {
 	_pam_log(LOG_NOTICE, "Couldn't open " SECURETTY_FILE);
 	return PAM_SUCCESS; /* for compatibility with old securetty handling,
